Name:           libscrypt
Version:        1.14
Release:        2%{?dist}
Summary:        Library that implements the secure password hashing function "scrypt"

License:        BSD
URL:            http://www.lolware.net/libscrypt.html
Source0:        https://github.com/technion/libscrypt/archive/v1.14.tar.gz
# https://github.com/technion/libscrypt/issues/5
Patch0:         %{name}-1.14-bigendian.patch


%description
This is a library that implements the secure password hashing function "scrypt".

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%global _hardened_build 1

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1 -b .bigendian


%build
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
find $RPM_BUILD_ROOT -name '*.*a' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_libdir}/*.so.*
%doc README.md
%doc LICENSE

%files devel
%{_includedir}/*
%{_libdir}/*.so

%check
make check

%changelog
* Tue Sep 24 2013 Dan Horák <dan[at]danny.cz> - 1.14-2
- big endian fix

* Thu Sep 12 2013 Joshua Small <technion@lolware.net> - 1.14-1
- Fixed length bug reported by shawjef3

* Fri Aug 02 2013 Joshua Small <technion@lolware.net> - 1.13-1
- Initial version of the library
